Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Gdpr - upcoming law for European merchants

 
Reply
   X-Cart forums > News and Announcements
 
Thread Tools
  #51  
Old 05-05-2018, 12:24 PM
 
kevinrm kevinrm is offline
 

X-Adept
  
Join Date: Aug 2003
Posts: 998
 

Default Re: Gdpr - upcoming law for European merchants

I thought it was working but I just realized it has been the cause of failed credit card orders on checkout ever since it was installed - now turned OFF.
__________________
X-Cart 5.4.1.21 Live
PHP 7.3
FPM/FastCGI - enabled
Zend OpCache OFF - Won't work with phar extension in cPanel on
10.3 MariaDB
Apache 2.4
CENTOS 7.8 64Bit Single Quad-Core E3-1241v3 3.4Ghz 8M 1600 w/ HT
32GB RAM 2x 512GB Samsung 850 Pro SSD RAID 1
Reply With Quote
  #52  
Old 05-05-2018, 08:48 PM
 
Triple A Racing Triple A Racing is offline
 

X-Wizard
  
Join Date: Jul 2008
Location: Manchester UK
Posts: 1,003
 

Default Re: Gdpr - upcoming law for European merchants

Quote:
Originally Posted by kevinrm
I thought it was working but I just realized it has been the cause of failed credit card orders on checkout ever since it was installed - now turned OFF.
Sorry to hear that Was there no chance or opportunity for you to do any dev store tests (including simulated new orders) in advance Others may/will be using this module at 5.3.4.7. Wonder if they've had the same issues?

We're sticking to waiting until 5.3.5.* and all it's updated modules are all released, despite 5.3.5.* seeming to be taking a long time to progress from Developer to Merchant wave (over a month now...)
__________________
Dev Store & Live Store: XC Business 5.4.1.33
Server; Ubuntu 20.04.3 LTS (5.11.0.36.40 Kernel) / Plesk Obsidian
Nginx 1.20.1 / Apache 2.4.41 (Ubuntu Backported) / MariaDB 10.5.12 / PHP 7.4.23
Reply With Quote
  #53  
Old 05-07-2018, 05:33 AM
  Anna_Shvetsova's Avatar 
Anna_Shvetsova Anna_Shvetsova is offline
 

X-Cart team
  
Join Date: Oct 2013
Posts: 57
 

Default Re: Gdpr - upcoming law for European merchants

Hi,

Adaptation means that you cannot install the packages as is for these versions. The feature installation will require some coding from you.

You can do it yourself if you have tech skills or you can order our support service and our engineers will adapt the features to your X-Cart version.

Ready packages (that don't require adaptation) are available only for versions within 4.7.x branch. https://secure.x-cart.com/customer.php?folder_id=388826&area=filearea&target =files_explorer

Tere are no packages for 4.6.x and 4.5.x versions, but you can adapt the eu-gdpr-4.7.0.tgz to them.

As for very old versions (4.5.0 and older), the 4.7.0 package is not possible to adapt to them, so you should use the eu-gdpr-dev-pack-4.0.x-4.5.x.tgz package.

The process of adaptation may require the following changes:
- modification of skin/common_files/admin/main/configuration.tpl to have the tabs match the backend interface of your current X-Cart version
- updating all JS inserts to have them match your current version
- adding {ldelim},{rdelim}
- check of the proper adding of the records of GDPR activities when the shipping methods are enabled/disabled
- check of the proper checkbox work at resgiter.php cart.php?mode=checkout
- check of the proper work of the EU cookie popup
- check of the proper work of the privacy policy notice


Quote:
Originally Posted by xcel

We have two 4.6.6 XC stores. Care to elaborate on "will require adaptation?



Quote:
Originally Posted by keystone
In the file area in x-cart help desk I show eu-gdpr-dev-pack-4.0.x-4.5.x.tgz and then a bunch of files for 4.7.0 - 4.7.9

What do I use for store version 4.6.x?
__________________
X-Cart team
Reply With Quote

The following user thanks Anna_Shvetsova for this useful post:
elmirage001 (05-07-2018)
  #54  
Old 05-07-2018, 05:37 AM
 
Triple A Racing Triple A Racing is offline
 

X-Wizard
  
Join Date: Jul 2008
Location: Manchester UK
Posts: 1,003
 

Default Re: Gdpr - upcoming law for European merchants

Quote:
Originally Posted by Triple A Racing
....we're sticking to waiting until 5.3.5.* and all it's updated modules are all released, despite 5.3.5.* seeming to be taking a long time to progress from Developer to Merchant wave (over a month now...)
Well XC 5.3.5.3 has been released today Anyone at XC have any idea of an approximate ETA for this in Merchant wave?
__________________
Dev Store & Live Store: XC Business 5.4.1.33
Server; Ubuntu 20.04.3 LTS (5.11.0.36.40 Kernel) / Plesk Obsidian
Nginx 1.20.1 / Apache 2.4.41 (Ubuntu Backported) / MariaDB 10.5.12 / PHP 7.4.23
Reply With Quote
  #55  
Old 05-07-2018, 06:28 AM
  pauldodman's Avatar 
pauldodman pauldodman is online now
 

X-Guru
  
Join Date: Jul 2003
Location: Spain / UK
Posts: 3,025
 

Default Re: Gdpr - upcoming law for European merchants

Quote:
As for very old versions (4.5.0 and older), the 4.7.0 package is not possible to adapt to them, so you should use the eu-gdpr-dev-pack-4.0.x-4.5.x.tgz package.

The dev pack should really be renamed ...4.0.x-4.5.0.tgz
So a 0, not an x.
As it's not really suitable for anything above 4.5.0.

That's because the dev pack includes the complete module files for the EU Cookie law functionality/module.

The EU cookie law module was available from 4.5.1.

So when deciding what pack to use, bear in mind that the dev pack contains full files for EU cookie law, and the 4.7 pack has patches for it.
__________________
Paul Dodman
e-business & m-commerce consultant
w: www.luminointernet.com
e: xcart@luminointernet.com

Professional X-Cart help, advice, support and services, specialists in Mobile X-Cart.
Reply With Quote

The following user thanks pauldodman for this useful post:
aim (05-07-2018)
  #56  
Old 05-07-2018, 10:45 PM
 
snowboard snowboard is offline
 

Senior Member
  
Join Date: May 2007
Posts: 111
 

Default Re: Gdpr - upcoming law for European merchants

Hello X cart,

With the GDPR module, can we specify it to only show at checkout (the checkbox for consent to personal info etc) only for EU countries?

This way, it will not scare off customers not in the EU? (for those of us running the site outside the EU and have non EU customers).

Thanks!
__________________
version 4.1.7
Reply With Quote
  #57  
Old 05-07-2018, 10:58 PM
 
kevinrm kevinrm is offline
 

X-Adept
  
Join Date: Aug 2003
Posts: 998
 

Default Re: Gdpr - upcoming law for European merchants

The way they have it set up (last time I tried it), you can select which countries get the pop-up but not for the check box at the checkout. The part I don't like is that it says something to the effect of, "Allow data collection of my privacy", it looks kind of scary and it seems like that will turn some customers off, especially those outside of the EU.
__________________
X-Cart 5.4.1.21 Live
PHP 7.3
FPM/FastCGI - enabled
Zend OpCache OFF - Won't work with phar extension in cPanel on
10.3 MariaDB
Apache 2.4
CENTOS 7.8 64Bit Single Quad-Core E3-1241v3 3.4Ghz 8M 1600 w/ HT
32GB RAM 2x 512GB Samsung 850 Pro SSD RAID 1
Reply With Quote
  #58  
Old 05-08-2018, 02:57 AM
 
snowboard snowboard is offline
 

Senior Member
  
Join Date: May 2007
Posts: 111
 

Default Re: Gdpr - upcoming law for European merchants

If we want to have this as a feature request, where do we post it?

Thanks!
__________________
version 4.1.7
Reply With Quote
  #59  
Old 05-08-2018, 03:36 AM
 
simetria simetria is offline
 

Advanced Member
  
Join Date: Jul 2013
Posts: 77
 

Default Re: Gdpr - upcoming law for European merchants

Anyone successfully installed the module on a version 4.6.x?
I have tried installing it on a 4.6.1 and can't even get past the installation page (mystore.com/install-eugdpr.php).
__________________
Thanks.
Reply With Quote
  #60  
Old 05-08-2018, 03:41 AM
  chamberinternet's Avatar 
chamberinternet chamberinternet is offline
 

X-Wizard
  
Join Date: Sep 2005
Location: Lancashire, UK
Posts: 1,461
 

Default Re: Gdpr - upcoming law for European merchants

Quote:
Originally Posted by simetria
Anyone successfully installed the module on a version 4.6.x?
I have tried installing it on a 4.6.1 and can't even get past the installation page (mystore.com/install-eugdpr.php).

I think the module is designed for the 4.7.x branch :-/
__________________
Developing in 4.7.x now (Dipping into v5 - Slowly!)
Have used 4.1.x, 4.2.x, 4.4.x, 4.5.x, 4.6.x & 4.7.x
Multiple Instances of X-Cart
MySQL 5.6.37
CentOS 7.4


Chamber Internet
- Lancashire, United Kingdom
http://www.chamberelancs.co.uk
Reply With Quote
Reply
   X-Cart forums > News and Announcements


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 07:46 PM.

   

 
X-Cart forums © 2001-2020